package com.godoro.samples.xml;

import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

public class SaxParserTest {
  
  public static void main(String[] args){
    String folder="C:\\Godoro\\Projects\\Java\\Education\\JavaBook\\test";    
    String uri=folder+"\\sax.xml";
    try{            
      SAXParserFactory factory=SAXParserFactory.newInstance();
      SAXParser parser=factory.newSAXParser();
      DefaultHandler handler=new DefaultHandler(){               
	public void startDocument(){
	  System.out.println("Starting Document...");	  	
	}
	public void startElement(String uri
		,String localName,String qname,Attributes attributes){
	    System.out.println("Qualified Name : '"+qname+"'");
	    if(qname.equals("student")){
		String no=attributes.getValue("no");
		System.out.println("no : '"+ no+"'");                        
	    }
	}
	public void characters(char[] ch, int start, int finish){                    
	    String string=new String(ch,start,finish);
	    System.out.println("Characters : '"+string+"'");
	}
	public void endDocument(){
	  System.out.println("Ending Document...");	  	
	}	
      };
      parser.parse(uri,handler);
    }catch(Exception e){
	e.printStackTrace();
    }
  }  
  
}
